org.apache.activemq.artemis.jms.client

## Class ActiveMQJMSClientLogger_$logger

- java.lang.Object
- - org.jboss.logging.DelegatingBasicLogger
  - - org.apache.activemq.artemis.jms.client.ActiveMQJMSClientLogger_$logger

- All Implemented Interfaces:
    Serializable, ActiveMQJMSClientLogger, org.jboss.logging.BasicLogger

      @Generated(value="org.jboss.logging.processor.generator.model.MessageLoggerImplementor",
                 date="2021-10-11T13:52:11-0500")
      public class ActiveMQJMSClientLogger_$logger
      extends org.jboss.logging.DelegatingBasicLogger
      implements ActiveMQJMSClientLogger, org.jboss.logging.BasicLogger, Serializable

  Warning this class consists of generated code.
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.jboss.logging.DelegatingBasicLogger

      `log`

    - ### Fields inherited from interface org.apache.activemq.artemis.jms.client.ActiveMQJMSClientLogger

      `LOGGER`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ActiveMQJMSClientLogger_$logger(org.jboss.logging.Logger log)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `connectionLeftOpen(Exception e)`
    `protected String` | `connectionLeftOpen$str()`
    `void` | `errorCallingExcListener(Exception e)`
    `protected String` | `errorCallingExcListener$str()`
    `void` | `errorCallingFailoverListener(Exception e)`
    `protected String` | `errorCallingFailoverListener$str()`
    `void` | `errorCreatingMessage(String messageToString, Throwable e)`
    `protected String` | `errorCreatingMessage$str()`
    `void` | `errorPreparingMessageForReceipt(String messagetoString, Throwable e)`
    `protected String` | `errorPreparingMessageForReceipt$str()`
    `void` | `errorProcessingMessage(Throwable e)`
    `protected String` | `errorProcessingMessage$str()`
    `void` | `errorRecoveringSession(Throwable e)`
    `protected String` | `errorRecoveringSession$str()`
    `protected Locale` | `getLoggingLocale()`
    `void` | `onMessageError(Exception e)`
    `protected String` | `onMessageError$str()`

    - ### Methods inherited from class org.jboss.logging.DelegatingBasicLogger

      `debug, debug, debug, debug, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugv, debugv, debugv, debugv, debugv, debugv, debugv, debugv, error, error, error, error, errorf, errorf, errorf, errorf, errorf, errorf, errorf, errorf, errorv, errorv, errorv, errorv, errorv, errorv, errorv, errorv, fatal, fatal, fatal, fatal, fatalf, fatalf, fatalf, fatalf, fatalf, fatalf, fatalf, fatalf, fatalv, fatalv, fatalv, fatalv, fatalv, fatalv, fatalv, fatalv, info, info, info, info, infof, infof, infof, infof, infof, infof, infof, infof, infov, infov, infov, infov, infov, infov, infov, infov, isDebugEnabled, isEnabled, isInfoEnabled, isTraceEnabled, log, log, log, log, logf, logf, logf, logf, logf, logf, logf, logf, logf, logf, logf, logf, logv, logv, logv, logv, logv, logv, logv, logv, logv, logv, logv, logv, trace, trace, trace, trace, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracev, tracev, tracev, tracev, tracev, tracev, tracev, tracev, warn, warn, warn, warn, warnf, warnf, warnf, warnf, warnf, warnf, warnf, warnf, warnv, warnv, warnv, warnv, warnv, warnv, warnv, warnv`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.jboss.logging.BasicLogger

      `debug, debug, debug, debug, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugv, debugv, debugv, debugv, debugv, debugv, debugv, debugv, error, error, error, error, errorf, errorf, errorf, errorf, errorf, errorf, errorf, errorf, errorv, errorv, errorv, errorv, errorv, errorv, errorv, errorv, fatal, fatal, fatal, fatal, fatalf, fatalf, fatalf, fatalf, fatalf, fatalf, fatalf, fatalf, fatalv, fatalv, fatalv, fatalv, fatalv, fatalv, fatalv, fatalv, info, info, info, info, infof, infof, infof, infof, infof, infof, infof, infof, infov, infov, infov, infov, infov, infov, infov, infov, isDebugEnabled, isEnabled, isInfoEnabled, isTraceEnabled, log, log, log, log, logf, logf, logf, logf, logf, logf, logf, logf, logf, logf, logf, logf, logv, logv, logv, logv, logv, logv, logv, logv, logv, logv, logv, logv, trace, trace, trace, trace, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracev, tracev, tracev, tracev, tracev, tracev, tracev, tracev, warn, warn, warn, warn, warnf, warnf, warnf, warnf, warnf, warnf, warnf, warnf, warnv, warnv, warnv, warnv, warnv, warnv, warnv, warnv`

- - ### Constructor Detail

    - #### ActiveMQJMSClientLogger_$logger

          public ActiveMQJMSClientLogger_$logger(org.jboss.logging.Logger log)

  - ### Method Detail

    - #### getLoggingLocale

          protected Locale getLoggingLocale()

    - #### connectionLeftOpen

          public final void connectionLeftOpen(Exception e)

      Specified by:
        `connectionLeftOpen` in interface `ActiveMQJMSClientLogger`

    - #### connectionLeftOpen$str

          protected String connectionLeftOpen$str()

    - #### onMessageError

          public final void onMessageError(Exception e)

      Specified by:
        `onMessageError` in interface `ActiveMQJMSClientLogger`

    - #### onMessageError$str

          protected String onMessageError$str()

    - #### errorCallingExcListener

          public final void errorCallingExcListener(Exception e)

      Specified by:
        `errorCallingExcListener` in interface `ActiveMQJMSClientLogger`

    - #### errorCallingExcListener$str

          protected String errorCallingExcListener$str()

    - #### errorCreatingMessage

          public final void errorCreatingMessage(String messageToString,
                                                 Throwable e)

      Specified by:
        `errorCreatingMessage` in interface `ActiveMQJMSClientLogger`

    - #### errorCreatingMessage$str

          protected String errorCreatingMessage$str()

    - #### errorPreparingMessageForReceipt

          public final void errorPreparingMessageForReceipt(String messagetoString,
                                                            Throwable e)

      Specified by:
        `errorPreparingMessageForReceipt` in interface `ActiveMQJMSClientLogger`

    - #### errorPreparingMessageForReceipt$str

          protected String errorPreparingMessageForReceipt$str()

    - #### errorProcessingMessage

          public final void errorProcessingMessage(Throwable e)

      Specified by:
        `errorProcessingMessage` in interface `ActiveMQJMSClientLogger`

    - #### errorProcessingMessage$str

          protected String errorProcessingMessage$str()

    - #### errorRecoveringSession

          public final void errorRecoveringSession(Throwable e)

      Specified by:
        `errorRecoveringSession` in interface `ActiveMQJMSClientLogger`

    - #### errorRecoveringSession$str

          protected String errorRecoveringSession$str()

    - #### errorCallingFailoverListener

          public final void errorCallingFailoverListener(Exception e)

      Specified by:
        `errorCallingFailoverListener` in interface `ActiveMQJMSClientLogger`

    - #### errorCallingFailoverListener$str

          protected String errorCallingFailoverListener$str()

Copyright © 2021 The Apache Software Foundation. All rights reserved.